pymoctool

NAME
pymoctool - manipulate Multi-Order Coverage maps

SYNOPSIS
pymoctool [INPUT] [COMMAND [FILE]] [--output OUTPUT]

DESCRIPTION
pymoctool can be used to manupulate Multi-Order Coverage (MOC) tools for the Virtual Observatory. It is a command-line tool and can handle files encoded as FITS, JSON, or ASCII. The tool maintains builds up a MOC stack using union, intersection and subtraction, with the pipeline processed in the order it is passed on the command-line. Internally pymoctool uses and exposes the the PyMOC library found in the python-pymoc Debian package.

COMMANDS

--catalog coords.txt [order NN] [radius NN]
    Render a circles using the flood-fill method on top of the MOC stack. The input text file should be whitespace records containing either RA+Dec pairs or Lat+Lon pairs.

--help, -h
    Show top-level help

--id
    Set new identifier for MOC stack

--info, -i
    Display information about the MOC stack

--intersection
    Intersect another MOC with the existing MOC stack

--name
    Set new name for the MOC stack

--normalize 0-29
    Set the maximum depth order of a MOC in the range 0-29

--output, -o
    Output filename MOC

--plot
    Project and render the MOC as a flattened all-sky map

--subtract
    Subtract the a MOC from the existing MOC stack

--version
    Show the backend PyMOC library version number

Detailed help for individuals commands can be found with pymoctool --help COMMAND

EXAMPLES

pymoctool foo.fits --output foo.json bar.txt --output both.fits
    Load foo.fits then convert and the save a copy to foo.json perform a union merge with a text-format MOC called bar.txt and save the result both.fits

AUTHORS
pymoctool and PyMOC were written by Graham Bell with support from the Science and Technology Facilities Council, and the East Asian Obsevatory. This manual page was written for the Debian Project by Paul Sladen with support from the German Astronomical Virtual Observatory (GAVO) at the University of Heidelberg.